Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.event
Class MobilityAdapter

    java.lang.Object
      |
      +--com.ibm.aglet.event.MobilityAdapter

All Implemented Interfaces:
  java.util.EventListener, MobilityListener, java.io.Serializable

Direct Known Subclasses:
  AlternateItinerary, MetaItinerary, SeqItinerary, SimpleItinerary

public class MobilityAdapter
extends java.lang.Object
implements MobilityListener

The adapter which receives mobility events. This class is provided as convenience for easily creating listerns by extending this class and overriding only the methods of interest.

Version:
  1.00 $Date: 2001/07/28 06:34:10 $
Author:
  Misturu Oshima
See Also:
  Serialized Form

Constructor Summary
`MobilityAdapter()`

Method Summary
`void` | `onArrival(MobilityEvent event)` Invoked when the aglet is retracted.
`void` | `onDispatching(MobilityEvent event)` Invoked when the aglet is attempted to dispatch.
`void` | `onReverting(MobilityEvent event)` Invoked just after the aglet arrived at the destination

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MobilityAdapter

    public MobilityAdapter()

Method Detail

### onArrival

    public void onArrival(MobilityEvent event)

  Invoked when the aglet is retracted.
  Specified by:
    `onArrival` in interface `MobilityListener`

### onDispatching

    public void onDispatching(MobilityEvent event)

  Invoked when the aglet is attempted to dispatch.
  Specified by:
    `onDispatching` in interface `MobilityListener`

### onReverting

    public void onReverting(MobilityEvent event)

  Invoked just after the aglet arrived at the destination
  Specified by:
    `onReverting` in interface `MobilityListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD